*, :after, :before {
    box-sizing: inherit
}

html, body {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
}


html {
    box-sizing: border-box
}

h1, h2, h3, h4, h5, h6 {
    font-size: inherit;
    font-weight: inherit;
    margin: 0
}

p {
    margin: 0
}

picture {
    display: block
}

img {
    display: block;
    border: none
}

img, svg {
    vertical-align: middle
}

a {
    background-color: transparent;
    color: inherit;
    text-decoration: none
}

:focus {
    outline: none
}

button {
    all: unset
}

:root {
    --font-main-weight: 700;
    --font-main-color: #fff;
    --font-main-style: normal;
    --font-optical-sizing: auto;
    --font-main: "Inter", sans-serif;
    --bg-color: #0D7C46;
}

body {
    margin: 0;
    padding: 0;
    line-height: 1;
    text-rendering: optimizeSpeed;
    -webkit-text-decoration-skip: objects;
    -webkit-text-size-adjust: 100%;
    -webkit-font-smoothing: antialiased;
    -webkit-tap-highlight-color: transparent;
    background-color: var(--bg-color);
    font-family: var(--font-main), sans-serif;
    font-weight: var(--font-main-weight);
    color: var(--font-main-color);
    font-optical-sizing: var(--font-optical-sizing);
    font-style: var(--font-main-style);
    text-transform: uppercase;
    height: -webkit-fill-available;
    display: flex;
    flex-direction: column;
    height: 100dvh;
    position: relative;
}

.main {
    flex: 1;
    display: flex;
    flex-direction: column;
    background: url("../img/bg/bg@1x.webp") no-repeat center center/cover;
    position: relative;
}

.content {
    position: relative;
    z-index: 10;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    width: 100%;
    margin: 0 auto;
    flex: 1;
}

.logo__icon {
    width: 100%;
    height: auto;
}

.wheel {
    position: relative;
    z-index: 6;
    aspect-ratio: 1 / 1;
    margin-bottom: clamp(10px, 1.5vw, 36px);
}

.wheel__img {
    position: absolute;
    pointer-events: none;
    z-index: 6;
    width: 100%;
    height: 100%;
}

.wheel__frame {
    position: absolute;
    pointer-events: none;
    z-index: 7;
    width: 100%;
    height: 100%;
    transition: opacity 0.3s ease;
    opacity: 1;
}

/*.wheel__frame--hidden {*/
/*    opacity: 0;*/
/*}*/

.wheel__arrow {
    position: absolute;
    pointer-events: none;
    z-index: 8;
    width: 100%;
    height: 100%;
}

.wheel__sway {
    -webkit-animation: 2s sway ease-in-out infinite;
    animation: 2s sway ease-in-out infinite;
}

.wheel__spin {
    -webkit-animation: 3s spin ease-in-out forwards;
    animation: 3s spin ease-in-out forwards
}

.play-btn-wrapper {
    width: fit-content;
    padding: 6px;
    border: 3px solid transparent;
    background: transparent;
    color: white;
    position: relative;
    z-index: 6;
    margin: 0 auto;
    opacity: 1;
}

.play-btn-wrapper::before {
    content: "";
    position: absolute;
    inset: 0;
    padding: 3px;
    background: linear-gradient(to right, #FEA30A 0%, #DD0413 100%);
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    z-index: -1;
}

.play-btn-wrapper--active {
    cursor: pointer;
}

.play-btn-wrapper--disabled {
    opacity: 0;
    cursor: not-allowed;
}

.play-btn {
    position: relative;
    color: #fff;
    font-weight: 700;
    text-transform: uppercase;
    line-height: 1.22;
    background: linear-gradient(to right, #FEA30A 0%, #DD0413 100%);
    overflow: hidden;
    box-shadow: inset 0 16px 2px 2px rgba(255, 255, 255, 0.3);
    -webkit-box-shadow: inset 0 16px 2px 2px rgba(255, 255, 255, 0.3);
    width: fit-content;
    white-space: nowrap;
}

.get-money-btn {
    padding-left: 28px !important;
    padding-right: 28px !important;
}

.play-btn__pulse {
    animation: pulse 2s linear infinite;
}

.play-btn-inner-wrapper {
    position: relative;
    z-index: 6;
}

.diamond-btn {
    position: absolute;
    width: clamp(47px, 10vw, 57px);
    height: clamp(47px, 10vw, 57px);
    background-repeat: no-repeat;
    background-position: bottom right;
    background-size: contain;
    bottom: 9px;
    z-index: 4;
}

.diamond-btn--violet {
    left: -85px;
    background-image: url('../img/violet_diamond/violet_diamond@1x.webp');
}

.diamond-btn--green {
    right: -85px;
    background-image: url('../img/green_diamond/green_diamond@1x.webp');
}

.diamond-btn-mask {
    position: absolute;
    width: 57px;
    height: 57px;
    opacity: 0;
    animation: fadeInOut 5s ease-in-out infinite;
    background-repeat: no-repeat;
    background-position: bottom right;
    background-size: contain;
    bottom: 9px;
    z-index: 5;
    pointer-events: none;
}

.diamond-btn-mask--violet {
    left: -85px;
    background-image: url('../img/violet_diamond/violet_diamond_mask@1x.webp');
}

.diamond-btn-mask--green {
    right: -85px;
    background-image: url('../img/green_diamond/green_diamond_mask@1x.webp');
}

.diamond-wheel {
    position: absolute;
    background-repeat: no-repeat;
    background-position: bottom right;
    background-size: contain;
    z-index: 4;
}

.diamond-wheel--violet {
    background-image: url('../img/violet_diamond/violet_diamond@1x.webp');
}

.diamond-wheel--green {
    background-image: url('../img/green_diamond/green_diamond@1x.webp');
}

.diamond-wheel-mask--violet {
    background-image: url('../img/violet_diamond/violet_diamond_mask@1x.webp');
}

.diamond-wheel-mask--green {
    background-image: url('../img/green_diamond/green_diamond_mask@1x.webp');
}

.diamond-wheel-mask {
    position: absolute;
    opacity: 0;
    animation: fadeInOut 5s ease-in-out infinite;
    background-repeat: no-repeat;
    background-position: bottom right;
    background-size: contain;
    z-index: 5;
    pointer-events: none;
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(7, 90, 48, .67);
    z-index: 100;
    opacity: 0;
    pointer-events: none;
    -webkit-transition: all .3s ease;
    transition: all .5s ease
}

.modal--active {
    opacity: 1;
    pointer-events: all;
}

.modal__content {
    position: relative;
}

.left-light,
.right-light {
    position: absolute;
    z-index: 1;
    top: 0;
    bottom: 0;
}

.left-light {
    left: 0;
}

.right-light {
    right: 0;
}

.left-light__image,
.right-light__image {
    width: 100%;
    height: 100%;
}

.left-collage,
.right-collage {
    position: absolute;
    z-index: 2;
}

.right-collage {
    aspect-ratio: 130 / 117;
}

.left-collage {
    aspect-ratio: 668 / 797;
}

.left-collage__image,
.right-collage__image {
    width: 100%;
    height: auto;
}

/*.modal__content--active {*/
/*    top: 0;*/
/*}*/

.zeus__image,
.bomb__image,
.pharaoh__image,
.green-diamond__image,
.violet-diamond__image {
    position: absolute;
    inset: 0;
    width: 100%;
    height: auto;
}

.image__mask {
    position: absolute;
    inset: 0;
    width: 100%;
    height: auto;
    opacity: 0;
    animation: fadeInOut 5s ease-in-out infinite;
    z-index: 5;
}

.zeus,
.bomb,
.pharaoh,
.green-diamond,
.violet-diamond {
    position: absolute;
    z-index: 4;
}

.zeus {
    aspect-ratio: 0.556;
}

.bomb {
    aspect-ratio: 293 / 365;
}

.pharaoh {
    aspect-ratio: 239 / 312;
}

.green-diamond {
    aspect-ratio: 152 / 148;
}

.violet-diamond {
    aspect-ratio: 156 / 146;
}

.coins_left_mobile,
.coins_right_mobile,
.coins_left_tablet,
.coins_right_tablet,
.coins_left_landscape,
.coins_right_landscape {
    position: absolute;
    z-index: 5;
}

.coins_left_tablet__image,
.coins_right_tablet__image,
.coins_left_landscape__image,
.coins_right_landscape__image {
    height: -webkit-fill-available;
}

@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) {
    .main {
        background: url("../img/bg/bg@2x.webp") no-repeat center center/cover;
    }

    .diamond-wheel--violet,
    .diamond-btn--violet {
        background-image: url('../img/violet_diamond/violet_diamond@2x.webp');
    }

    .diamond-wheel--green,
    .diamond-btn--green {
        background-image: url('../img/green_diamond/green_diamond@2x.webp');
    }

    .diamond-wheel-mask--violet,
    .diamond-btn-mask--violet {
        background-image: url('../img/violet_diamond/violet_diamond_mask@2x.webp');
    }

    .diamond-wheel-mask--green,
    .diamond-btn-mask--violet {
        background-image: url('../img/green_diamond/green_diamond_mask@2x.webp');
    }
}

@media (orientation: portrait) and (min-width: 0px) {
    .content {
        padding: 22px 38px;
    }

    .logo {
        width: clamp(171px, 20vw, 458px);
        margin: 0 auto clamp(20px, 5vw, 85px);
    }

    .play-btn-wrapper::before {
        border-radius: 12px;
    }

    .play-btn {
        border-radius: 7px;
        font-size: clamp(16px, 3vw, 36px);
        padding: clamp(6px, 1vw , 18px) clamp(24px, 5vw , 75px);
    }

    .logo {
        margin-bottom: clamp(20px, 5vw, 85px);
    }

    .wheel {
        width: clamp(300px, 50vw, 644px);
    }

    .left-collage {
        width: clamp(260px, 40vw, 668px);
        bottom: 1%;
        left: clamp(-14%, -8vw, -2%);
    }

    .right-collage {
        width: clamp(351px, 50vw, 859px);
        bottom: -2%;
        right: clamp(-15%, -10vw, -3%);
    }

    .zeus {
        width: clamp(269px, 40vh, 552px);
        top: 60%;
        right: calc(-15% + (15vw - 30px));
    }

    .pharaoh {
        width: clamp(100px, 15vh, 239px);
        bottom: 3%;
        left: 1%;
    }

    .bomb {
        width: clamp(132px, 15vh, 293px);
        bottom: -3%;
        left: 11%;
    }

    .left-light {
        width: 100%;
    }

    .right-light {
        width: 80%;
    }

    .coins_left_tablet,
    .coins_right_tablet,
    .coins_left_landscape,
    .coins_right_landscape {
        display: none;
    }

    .coins_left_mobile {
        top: -3%;
        left: -40px;
    }

    .coins_right_mobile {
        top: -5%;
        right: -30px;
    }
}

@media (orientation: portrait) and (min-width: 0px) and (min-height: 700px) {
    .left-collage {
        bottom: 6%;
    }

    .right-collage {
        bottom: 4%;
    }

    .zeus {
        top: 50%;
    }

    .pharaoh {
        bottom: 7%;
    }

    .bomb {
        bottom: 5%;
    }
}

@media (orientation: portrait) and (min-width: 768px) {
    .content {
        padding: 43px;
    }

    .left-light {
        width: 75%;
    }

    .right-light {
        width: 75%;
    }

    .diamond-btn,
    .diamond-btn--violet,
    .diamond-btn--green,
    .diamond-btn-mask,
    .diamond-btn-mask--violet,
    .diamond-btn-mask--violet {
        display: none;
    }

    .diamond-wheel,
    .diamond-wheel-mask {
        width: clamp(70px, 6vw, 111px);
        height: clamp(70px, 6vw, 111px);
        top: 10%;
    }

    .diamond-wheel--violet,
    .diamond-wheel-mask--violet {
        right: 105%;
    }

    .diamond-wheel--green,
    .diamond-wheel-mask--green {
        left: 105%;
    }

    .coins_left_mobile,
    .coins_right_mobile {
        display: none;
    }

    .coins_left_tablet {
        display: block;
        height: 105vh;
        top: 1%;
        left: -50px;
    }

    .coins_right_tablet {
        display: block;
        height: 102vh;
        top: 3%;
        right: -35px;
    }
}

@media (orientation: portrait) and (min-width: 1024px) {
    .coins_left_tablet {
        height: 105vh;
    }

    .coins_right_tablet {
        height: 102vh;
    }
}

@media (orientation: landscape) and (min-width: 0px) {
    .content {
        padding: 16px;
    }

    .logo {
        width: clamp(100px, 35vh, 458px);
        margin-bottom: clamp(10px, 2vw, 85px);
    }

    .wheel {
        width: clamp(160px, 60vh, 600px);
    }

    .play-btn-wrapper::before {
        border-radius: 12px;
    }

    .play-btn {
        border-radius: 7px;
        font-size: clamp(13px, 3vh, 36px);
        padding: clamp(6px, 1vh , 18px) clamp(18px, 5vh , 75px);
    }

    .left-collage {
        width: clamp(220px, 30vh, 468px);
        bottom: 1%;
        left: -2%;
    }

    .right-collage {
        width: clamp(300px, 40vh, 659px);
        bottom: -2%;
        right: clamp(-10%, -3vw, -3%);

    }

    .zeus {
        width: clamp(160px, 25vw, 252px);
        bottom: -10%;
        right: calc(5% - 5vw);
    }

    .pharaoh {
        width: clamp(100px, 15vw, 239px);
        bottom: 0;
        left: 11%;
    }

    .bomb {
        width: clamp(100px, 14vw, 293px);
        bottom: -3%;
        left: 20%;
    }

    .left-light {
        width: 40%;
    }

    .right-light {
        width: 40%;
    }

    .diamond-btn,
    .diamond-btn--violet,
    .diamond-btn--green,
    .diamond-btn-mask,
    .diamond-btn-mask--violet,
    .diamond-btn-mask--violet {
        display: none;
    }

    .diamond-wheel,
    .diamond-wheel-mask {
        width: clamp(40px, 6vw, 150px);
        height: clamp(40px, 6vw, 150px);
        top: -6%;
    }

    .diamond-wheel--violet,
    .diamond-wheel-mask--violet {
        right: 100%;
    }

    .diamond-wheel--green,
    .diamond-wheel-mask--green {
        left: 100%;
    }

    .coins_left_mobile,
    .coins_right_mobile,
    .coins_left_tablet,
    .coins_right_tablet {
        display: none;
    }

    .coins_left_landscape,
    .coins_right_landscape {
        display: block;
    }

    .coins_left_landscape {
        left: 0;
        top: 0;
        bottom: 0;
        width: 50%;
    }

    .coins_right_landscape {
        right: 0;
        top: 0;
        bottom: 0;
        width: 50%;
    }

    .coins_left_1__image,
    .coins_left_2__image,
    .coins_left_3__image,
    .coins_left_4__image,
    .coins_right_1__image,
    .coins_right_2__image,
    .coins_right_3__image {
        position: absolute;
    }

    .coins_left_1__image {
        top: -4%;
        left: -5%;
        height: clamp(50px, 7vh, 160px);
    }

    .coins_left_2__image {
        top: 5%;
        left: 20%;
        height: clamp(40px, 7vh, 110px);
    }

    .coins_left_3__image {
        top: 22%;
        left: 1%;
        height: clamp(40px, 7vh, 100px);
    }

    .coins_left_4__image {
        left: -1%;
        bottom: -3%;
        height: clamp(50px, 7vh, 140px);
    }

    .coins_right_1__image {
        top: -3%;
        right: 20%;
        height: clamp(50px, 7vh, 160px);
    }

    .coins_right_2__image {
        top: 15%;
        right: 7%;
        height: clamp(40px, 7vh, 100px);
    }

    .coins_right_3__image {
        right: 65%;
        bottom: -3%;
        height: clamp(50px, 7vh, 140px);
    }
}

@media (orientation: landscape) and (min-width: 0px) and (min-height: 600px) {
    .play-btn {
        font-size: clamp(16px, 3vh, 36px);
        padding: clamp(6px, 1vh , 18px) clamp(18px, 5vh , 75px);
    }

    .left-collage {
        width: clamp(260px, 30vw, 668px);
        bottom: 1%;
        left: -2%;
    }

    .right-collage {
        width: clamp(351px, 40vw, 859px);
        bottom: -2%;
        right: clamp(-15%, -9vw, -5%);
    }

    .coins_left_1__image {
        height: clamp(50px, 6vw, 160px);
    }

    .coins_left_2__image {
        height: clamp(40px, 6vw, 110px);
    }

    .coins_left_3__image {
        height: clamp(40px, 6vw, 100px);
    }

    .coins_left_4__image {
        height: clamp(50px, 6vw, 140px);
    }

    .coins_right_1__image {
        height: clamp(50px, 6vw, 160px);
    }

    .coins_right_2__image {
        height: clamp(40px, 6vw, 100px);
    }

    .coins_right_3__image {
        height: clamp(50px, 6vw, 140px);
    }
}

@media (orientation: landscape) and (min-width: 0px) and (min-height: 1024px) {
    .left-collage {
        width: clamp(260px, 40vw, 668px);
        bottom: 1%;
        left: -2%;
    }

    .right-collage {
        width: clamp(351px, 50vw, 859px);
        bottom: -2%;
        right: clamp(-15%, -9vw, -5%);
    }
}

@media (orientation: landscape) and (min-width: 1024px) and (min-height: 700px) {
    .zeus {
        width: clamp(160px, 25vw, 552px);
        bottom: -10%;
        /*right: calc(5% - 5vw);*/
        right: calc(15% - 5vw);
    }
}

@media (orientation: landscape) and (min-width: 1024px) {
    .diamond-wheel,
    .diamond-wheel-mask {
        top: -6%;
    }
}

@media (orientation: landscape) and (min-width: 1024px) and (min-height: 768px) {
    .content {
        padding: 43px;
    }

    .diamond-wheel,
    .diamond-wheel-mask {
        top: -6%;
    }
}

@media (orientation: landscape) and (min-width: 1180px) and (min-height: 820px) {
    .diamond-wheel,
    .diamond-wheel-mask {
        top: -6%;
    }
}

@media (orientation: landscape) and (min-width: 1360px) and (min-height: 1024px) {
    .left-collage {
        width: clamp(220px, 40vw, 668px);
        bottom: 1%;
        left: -2%;
    }

    .right-collage {
        width: clamp(300px, 50vw, 859px);
        bottom: -2%;
        right: clamp(-10%, -6vw, -7%);
    }

    .diamond-wheel,
    .diamond-wheel-mask {
        top: -6%;
    }
}

@media (orientation: landscape) and (min-width: 1440px) and (min-height: 820px) {
    .play-btn-wrapper::before {
        border-radius: 16px;
    }

    .play-btn {
        border-radius: 10px;
    }

    .left-light {
        width: 40%;
    }

    .right-light {
        width: 40%;
    }

    .diamond-wheel,
    .diamond-wheel-mask {
        top: -6%;
    }
}

@media (orientation: landscape) and (min-width: 1440px) and (min-height: 940px) {
    .wheel {
        width: clamp(400px, 50vw, 600px);
    }

    .diamond-wheel,
    .diamond-wheel-mask {
        top: -6%;
    }
}

@media (orientation: landscape) and (min-width: 1600px) and (min-height: 1250px) {
    .wheel {
        width: clamp(400px, 50vw, 644px);
    }

    .diamond-wheel,
    .diamond-wheel-mask {
        top: -6%;
    }
}

@-webkit-keyframes sway {
    0% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
    50% {
        -webkit-transform: rotate(-30deg);
        transform: rotate(-30deg)
    }
    100% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
}

@keyframes sway {
    0% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
    50% {
        -webkit-transform: rotate(-30deg);
        transform: rotate(-30deg)
    }
    100% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
    70% {
        -webkit-transform: rotate(1085deg);
        transform: rotate(1085deg)
    }
    80% {
        -webkit-transform: rotate(1076deg);
        transform: rotate(1076deg)
    }
    100% {
        -webkit-transform: rotate(1080.5deg);
        transform: rotate(1080.5deg)
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(-40deg);
        transform: rotate(-40deg)
    }
    70% {
        -webkit-transform: rotate(1085deg);
        transform: rotate(1085deg)
    }
    80% {
        -webkit-transform: rotate(1076deg);
        transform: rotate(1076deg)
    }
    100% {
        -webkit-transform: rotate(1080.5deg);
        transform: rotate(1080.5deg)
    }
}

@-webkit-keyframes pulse {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    50% {
        -webkit-transform: scale(1.05);
        transform: scale(1.05);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes pulse {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    50% {
        -webkit-transform: scale(1.05);
        transform: scale(1.05);
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes fadeInOut {
    0% {
        opacity: 0;
    }
    30% {
        opacity: 1;
    }
    70% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
